%global pom_version 3.0.1
%global mvn_settings -s mirror-settings.xml
%global bcmail_package bouncycastle-mail
%global orig_name voms-api-java

Name: voms-api-java3
Version: 3.0.1
Release: 1%{?dist}
Summary: The Virtual Organisation Membership Service Java APIs

Group: System Environment/Libraries
License: ASL 2.0
URL: http://italiangrid.github.com/voms-api-java/
Source0: %{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:  maven
BuildRequires:  jpackage-utils
BuildRequires:  java-1.6.0-openjdk-devel

Requires:       jpackage-utils
Requires:       canl-java
Requires:       %{bcmail_package}
Requires:       java-1.6.0-openjdk

%description
The Virtual Organization Membership Service (VOMS) is an attribute authority
which serves as central repository for VO user authorization information,
providing support for sorting users into group hierarchies, keeping track of
their roles and other attributes in order to issue trusted attribute
certificates and SAML assertions used in the Grid environment for
authorization purposes.

This package provides a java client APIs for VOMS.

%package    javadoc
Summary:    Javadoc for the VOMS Java APIs
Group:      Documentation
BuildArch:  noarch
Requires:   jpackage-utils
Requires:   %{name} = %{version}-%{release}

%description javadoc
Virtual Organization Membership Service (VOMS) Java API Documentation.

%prep
%setup -q -n voms-api-java

%build
mvn %{?mvn_settings} -U -Dmaven.test.skip=true -B clean javadoc:javadoc assembly:assembly

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
tar -C $RPM_BUILD_ROOT -xvzf target/%{orig_name}.tar.gz

ln -s %{orig_name}-%{pom_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mv $RPM_BUILD_ROOT%{_javadocdir}/%{orig_name} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{pom_version}
ln -s %{name}-%{pom_version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%{_javadir}/%{name}.jar
%{_javadir}/%{orig_name}-%{pom_version}.jar

%doc AUTHORS LICENSE

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{pom_version}

%changelog
* Tue Aug 6 2013 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.1-1
- Fix for https://issues.infn.it/jira/browse/VOMS-364

* Wed Oct 24 2012 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.0-1
- New version of VOMS Java APIs based on CAnL
